public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/kde:master commit in: kde-plasma/plasma-nm/
Date: Tue, 12 Jul 2022 13:50:46 +0000 (UTC)	[thread overview]
Message-ID: <1657625075.fb70c0047db84b3bce577e570a06733fa1cdecb7.asturm@gentoo> (raw)

commit:     fb70c0047db84b3bce577e570a06733fa1cdecb7
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 12 11:24:35 2022 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Jul 12 11:24:35 2022 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=fb70c004

kde-plasma/plasma-nm: 5.25.3 version bump

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 kde-plasma/plasma-nm/plasma-nm-5.25.3.ebuild | 90 ++++++++++++++++++++++++++++
 1 file changed, 90 insertions(+)

diff --git a/kde-plasma/plasma-nm/plasma-nm-5.25.3.ebuild b/kde-plasma/plasma-nm/plasma-nm-5.25.3.ebuild
new file mode 100644
index 0000000000..26df3587c8
--- /dev/null
+++ b/kde-plasma/plasma-nm/plasma-nm-5.25.3.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_TEST="true"
+KFMIN=5.95.0
+PVCUT=$(ver_cut 1-3)
+QTMIN=5.15.5
+inherit ecm plasma.kde.org
+
+DESCRIPTION="KDE Plasma applet for NetworkManager"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="5"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="modemmanager openconnect teamd"
+
+DEPEND="
+	>=app-crypt/qca-2.3.0:2
+	>=dev-qt/qtdbus-${QTMIN}:5
+	>=dev-qt/qtdeclarative-${QTMIN}:5[widgets]
+	>=dev-qt/qtgui-${QTMIN}:5
+	>=dev-qt/qtnetwork-${QTMIN}:5
+	>=dev-qt/qtwidgets-${QTMIN}:5
+	>=kde-frameworks/kcompletion-${KFMIN}:5
+	>=kde-frameworks/kconfig-${KFMIN}:5
+	>=kde-frameworks/kconfigwidgets-${KFMIN}:5
+	>=kde-frameworks/kcoreaddons-${KFMIN}:5
+	>=kde-frameworks/kdbusaddons-${KFMIN}:5
+	>=kde-frameworks/kdeclarative-${KFMIN}:5
+	>=kde-frameworks/ki18n-${KFMIN}:5
+	>=kde-frameworks/kio-${KFMIN}:5
+	>=kde-frameworks/kitemviews-${KFMIN}:5
+	>=kde-frameworks/knotifications-${KFMIN}:5
+	>=kde-frameworks/kservice-${KFMIN}:5
+	>=kde-frameworks/kwallet-${KFMIN}:5
+	>=kde-frameworks/kwidgetsaddons-${KFMIN}:5
+	>=kde-frameworks/kwindowsystem-${KFMIN}:5
+	>=kde-frameworks/kxmlgui-${KFMIN}:5
+	>=kde-frameworks/networkmanager-qt-${KFMIN}:5[teamd=]
+	>=kde-frameworks/plasma-${KFMIN}:5
+	>=kde-frameworks/solid-${KFMIN}:5
+	net-misc/networkmanager[teamd=]
+	modemmanager? (
+		>=dev-qt/qtxml-${QTMIN}:5
+		>=kde-frameworks/modemmanager-qt-${KFMIN}:5
+		net-misc/mobile-broadband-provider-info
+	)
+	openconnect? (
+		>=dev-qt/qtxml-${QTMIN}:5
+		net-vpn/networkmanager-openconnect
+		net-vpn/openconnect:=
+	)
+"
+RDEPEND="${DEPEND}
+	>=dev-qt/qtquickcontrols-${QTMIN}:5
+	>=dev-qt/qtquickcontrols2-${QTMIN}:5
+	>=kde-frameworks/kirigami-${KFMIN}:5
+	>=kde-plasma/kde-cli-tools-${PVCUT}:5
+"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+	ecm_src_prepare
+
+	# TODO: try to get a build switch upstreamed
+	if ! use openconnect; then
+		sed -e "s/^pkg_check_modules.*openconnect/#&/" -i CMakeLists.txt || die
+	fi
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DDISABLE_MODEMMANAGER_SUPPORT=$(usex !modemmanager)
+		$(cmake_use_find_package modemmanager KF5ModemManagerQt)
+	)
+
+	ecm_src_configure
+}
+
+pkg_postinst() {
+	ecm_pkg_postinst
+
+	if ! has_version "kde-plasma/plasma-workspace:5"; then
+		elog "${PN} is not terribly useful without kde-plasma/plasma-workspace:5."
+		elog "However, the networkmanagement KCM can be called from either systemsettings"
+		elog "or manually: $ kcmshell5 kcm_networkmanagement"
+	fi
+}


             reply	other threads:[~2022-07-12 13:50 UTC|newest]

Thread overview: 100+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-07-12 13:50 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-03 20:18 [gentoo-commits] proj/kde:master commit in: kde-plasma/plasma-nm/ Andreas Sturmlechner
2024-09-14 21:33 Andreas Sturmlechner
2024-09-10 16:48 Andreas Sturmlechner
2024-06-18 20:03 Andreas Sturmlechner
2024-05-27 22:24 Andreas Sturmlechner
2024-05-24 19:49 Andreas Sturmlechner
2024-05-21 19:06 Andreas Sturmlechner
2024-01-16 15:28 Andreas Sturmlechner
2024-01-10 16:47 Andreas Sturmlechner
2023-12-23 19:37 Andreas Sturmlechner
2023-12-23 18:46 Andreas Sturmlechner
2023-12-20 23:02 Andreas Sturmlechner
2023-12-15 22:25 Andreas Sturmlechner
2023-12-11 19:50 Sam James
2023-10-25  7:42 Andreas Sturmlechner
2023-10-24 18:39 Andreas Sturmlechner
2023-06-27 20:44 Andreas Sturmlechner
2023-06-27 20:40 Andreas Sturmlechner
2023-05-09 15:06 Andreas Sturmlechner
2023-03-14 20:21 Andreas Sturmlechner
2023-03-14 14:47 Andreas Sturmlechner
2023-02-22 11:59 Andreas Sturmlechner
2023-02-21 14:02 Andreas Sturmlechner
2023-02-14 11:27 Andreas Sturmlechner
2023-02-09 13:26 Andreas Sturmlechner
2023-01-20 13:59 Andreas Sturmlechner
2023-01-20 10:40 Andreas Sturmlechner
2023-01-09  9:36 Andreas Sturmlechner
2023-01-04 15:21 Andreas Sturmlechner
2022-12-13 20:37 Andreas Sturmlechner
2022-10-11 15:18 Andreas Sturmlechner
2022-10-11 12:51 Andreas Sturmlechner
2022-10-11 12:37 Andreas Sturmlechner
2022-10-09 16:39 Andreas Sturmlechner
2022-10-06 14:48 Andreas Sturmlechner
2022-09-15 21:41 Andreas Sturmlechner
2022-09-15 20:57 Andreas Sturmlechner
2022-09-06 19:16 Andreas Sturmlechner
2022-07-13  9:18 Andreas Sturmlechner
2022-06-14 12:47 Andreas Sturmlechner
2022-06-09 11:29 Andreas Sturmlechner
2022-06-08  9:22 Andreas Sturmlechner
2022-03-21 19:03 Andreas Sturmlechner
2022-02-08 13:17 Andreas Sturmlechner
2022-02-03 20:10 Andreas Sturmlechner
2022-01-18 17:41 Andreas Sturmlechner
2022-01-17 17:49 Andreas Sturmlechner
2022-01-04 16:20 Andreas Sturmlechner
2022-01-04 11:57 Andreas Sturmlechner
2021-10-14 10:26 Andreas Sturmlechner
2021-10-04 13:04 Andreas Sturmlechner
2021-09-21 18:44 Andreas Sturmlechner
2021-09-02 17:36 Andreas Sturmlechner
2021-08-26 16:46 Andreas Sturmlechner
2021-06-11  5:49 Andreas Sturmlechner
2021-05-14 20:41 Andreas Sturmlechner
2021-02-16 15:48 Andreas Sturmlechner
2021-02-16 14:25 Andreas Sturmlechner
2021-02-11 13:38 Andreas Sturmlechner
2021-01-23  0:26 Andreas Sturmlechner
2021-01-05 17:44 Andreas Sturmlechner
2020-10-15 18:23 Andreas Sturmlechner
2020-10-13 11:51 Andreas Sturmlechner
2020-10-09  6:35 Andreas Sturmlechner
2020-09-19  8:12 Andreas Sturmlechner
2020-09-01 16:40 Andreas Sturmlechner
2020-09-01 12:01 Andreas Sturmlechner
2020-03-08 16:31 Andreas Sturmlechner
2019-11-24 23:55 Andreas Sturmlechner
2019-11-20 16:23 Andreas Sturmlechner
2019-08-14 10:02 Andreas Sturmlechner
2019-02-26  9:36 Andreas Sturmlechner
2018-11-03 20:37 Andreas Sturmlechner
2018-08-18 20:51 Andreas Sturmlechner
2018-08-13 18:36 Andreas Sturmlechner
2018-06-20 10:44 Andreas Sturmlechner
2018-04-04 17:41 Andreas Sturmlechner
2018-02-22 20:23 Andreas Sturmlechner
2018-02-22 13:17 Andreas Sturmlechner
2018-01-21 23:59 Andreas Sturmlechner
2017-12-31 18:01 Andreas Sturmlechner
2017-03-18 20:08 Johannes Huber
2016-10-29 11:54 Johannes Huber
2016-05-02 13:01 Johannes Huber
2016-03-11 15:21 Michael Palimaka
2015-11-04 12:54 Michael Palimaka
2015-10-01 12:19 Michael Palimaka
2015-09-24 19:14 Michael Palimaka
2015-09-14 16:10 Michael Palimaka
2015-09-03 19:29 Michael Palimaka
2015-06-06 19:10 Michael Palimaka
2015-06-06 19:04 Michael Palimaka
2015-04-01 11:33 Michael Palimaka
2015-01-17 19:10 Johannes Huber
2015-01-09 18:01 Manuel Rüger
2015-01-09 17:46 Manuel Rüger
2015-01-09 16:31 Manuel Rüger
2014-12-29 16:06 Michael Palimaka
2014-12-26 11:11 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1657625075.fb70c0047db84b3bce577e570a06733fa1cdecb7.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox